REGCONVERT(1)

NAME
regconvert - Convert between different Regina file formats

SYNOPSIS

regconvert [ -2 | -3 ] [ -x | -u ] old-file [ new-file ]

regconvert { -v, --version | -?, --help }

DESCRIPTION

This utility converts back and forth between different Regina file formats.

Regina's file formats include:

Third-generation XML
    This is the modern XML format introduced in Regina 7.0. Older versions of Regina (6.0.1 and below) cannot read it at all.

Second-generation XML
    This is the original XML format that was used in Regina 3.0-6.0.1 (from 2002-2021). Current versions of Regina can still read and write this format if required.

First-generation binary format
    This is the ancient binary format that was used in Regina 2.x (from 2000-2002). Support for this format was dropped completely in September 2013, and modern versions of Regina cannot read or write it.

    If you still have ancient files that use this format, you will need to find a copy of Regina 3.0-4.93 (from 2002-2012), which can convert these old binary files to the second-generation XML format.

The argument old-file should be the file to read and convert; the argument new-file should be the name of the new converted file to write. These two filenames may be the same, in which case the old file will be replaced with the new.

If the argument new-file is missing then the new file will be written to standard output, which forces the output to be uncompressed XML (see option -u).

OPTIONS

-2  Convert to the older second-generation XML format, as used in Regina 3.0-6.0.1.

-3 (default)
    Convert to the modern third-generation XML format, introduced in Regina 7.0.

-x (default)
    Write the output as compressed XML.

-u  Write the output as uncompressed (plain text) XML.

-v, --version
    Show which version of Regina is being used, and exit immediately.

-?, --help
    Display brief usage information, and exit immediately.

MACOS USERS

If you downloaded a drag-and-drop app bundle, this utility is shipped inside it. If you dragged Regina to the main Applications folder, you can run it as /Applications/Regina.app/Contents/MacOS/regconvert.

WINDOWS USERS

The command-line utilities are installed beneath the Program Files directory; on some machines this directory is called Program Files (x86). You can start this utility by running c:\Program Files\Regina\Regina 7.3.1\bin\regconvert.exe.

SEE ALSO

regfiletype, regina-gui.

AUTHOR

This utility was written by Benjamin Burton <bab@maths.uq.edu.au>. Many people have been involved in the development of Regina; see the users' handbook for a full list of credits.